+   [前言](docs/0.md)
    +   [0.1 本书为什么存在？](docs/0.1.md)
    +   [0.2 你不是统计学家-我们为什么要听你的？](docs/0.2.md)
    +   [0.3 为什么是 R？](docs/0.3.md)
    +   [0.4 数据的黄金时代](docs/0.4.md)
    +   [0.5 开源书籍](docs/0.5.md)
    +   [0.6 确认](docs/0.6.md)
+   [1 引言](docs/1.md)
    +   [1.1 什么是统计思维？](docs/1.1.md)
    +   [1.2 统计数据能为我们做什么？](docs/1.2.md)
    +   [1.3 统计学的基本概念](docs/1.3.md)
    +   [1.4 因果关系与统计](docs/1.4.md)
    +   [1.5 阅读建议](docs/1.5.md)
+   [2 处理数据](docs/2.md)
    +   [2.1 什么是数据？](docs/2.1.md)
    +   [2.2 测量尺度](docs/2.2.md)
    +   [2.3 什么是良好的测量？](docs/2.3.md)
    +   [2.4 阅读建议](docs/2.4.md)
+   [3 概率](docs/3.md)
    +   [3.1 什么是概率？](docs/3.1.md)
    +   [3.2 我们如何确定概率？](docs/3.2.md)
    +   [3.3 概率分布](docs/3.3.md)
    +   [3.4 条件概率](docs/3.4.md)
    +   [3.5 根据数据计算条件概率](docs/3.5.md)
    +   [3.6 独立性](docs/3.6.md)
    +   [3.7 逆转条件概率：贝叶斯规则](docs/3.7.md)
    +   [3.8 数据学习](docs/3.8.md)
    +   [3.9 优势比](docs/3.9.md)
    +   [3.10 概率是什么意思？](docs/3.10.md)
    +   [3.11 阅读建议](docs/3.11.md)
+   [4 汇总数据](docs/4.md)
    +   [4.1 为什么要总结数据？](docs/4.1.md)
    +   [4.2 使用表格汇总数据](docs/4.2.md)
    +   [4.3 分布的理想化表示](docs/4.3.md)
    +   [4.4 阅读建议](docs/4.4.md)
+   [5 将模型拟合到数据](docs/5.md)
    +   [5.1 什么是模型？](docs/5.1.md)
    +   [5.2 统计建模：示例](docs/5.2.md)
    +   [5.3 什么使模型“良好”？](docs/5.3.md)
    +   [5.4 模型是否太好？](docs/5.4.md)
    +   [5.5 最简单的模型：平均值](docs/5.5.md)
    +   [5.6 模式](docs/5.6.md)
    +   [5.7 变异性：平均值与数据的拟合程度如何？](docs/5.7.md)
    +   [5.8 使用模拟了解统计数据](docs/5.8.md)
    +   [5.9 Z 分数](docs/5.9.md)
+   [6 数据可视化](docs/6.md)
    +   [6.1 数据可视化如何拯救生命](docs/6.1.md)
    +   [6.2 绘图解剖](docs/6.2.md)
    +   [6.3 使用 ggplot 在 R 中绘制](docs/6.3.md)
    +   [6.4 良好可视化原则](docs/6.4.md)
    +   [6.5 最大化数据/墨水比](docs/6.5.md)
    +   [6.6 避免图表垃圾](docs/6.6.md)
    +   [6.7 避免数据失真](docs/6.7.md)
    +   [6.8 谎言因素](docs/6.8.md)
    +   [6.9 记住人的局限性](docs/6.9.md)
    +   [6.10 其他因素的修正](docs/6.10.md)
    +   [6.11 建议阅读和视频](docs/6.11.md)
+   [7 取样](docs/7.md)
    +   [7.1 我们如何取样？](docs/7.1.md)
    +   [7.2 采样误差](docs/7.2.md)
    +   [7.3 平均值的标准误差](docs/7.3.md)
    +   [7.4 中心极限定理](docs/7.4.md)
    +   [7.5 置信区间](docs/7.5.md)
    +   [7.6 阅读建议](docs/7.6.md)
+   [8 重新采样和模拟](docs/8.md)
    +   [8.1 蒙特卡罗模拟](docs/8.1.md)
    +   [8.2 统计的随机性](docs/8.2.md)
    +   [8.3 生成随机数](docs/8.3.md)
    +   [8.4 使用蒙特卡罗模拟](docs/8.4.md)
    +   [8.5 使用模拟统计：引导程序](docs/8.5.md)
    +   [8.6 阅读建议](docs/8.6.md)
+   [9 假设检验](docs/9.md)
    +   [9.1 无效假设统计检验（NHST）](docs/9.1.md)
    +   [9.2 无效假设统计检验：一个例子](docs/9.2.md)
    +   [9.3 无效假设检验过程](docs/9.3.md)
    +   [9.4 现代环境下的 NHST：多重测试](docs/9.4.md)
    +   [9.5 阅读建议](docs/9.5.md)
+   [10 置信区间、效应大小和统计功率](docs/10.md)
    +   [10.1 置信区间](docs/10.1.md)
    +   [10.2 效果大小](docs/10.2.md)
    +   [10.3 统计能力](docs/10.3.md)
    +   [10.4 阅读建议](docs/10.4.md)
+   [11 贝叶斯统计](docs/11.md)
    +   [11.1 生成模型](docs/11.1.md)
    +   [11.2 贝叶斯定理与逆推理](docs/11.2.md)
    +   [11.3 进行贝叶斯估计](docs/11.3.md)
    +   [11.4 估计后验分布](docs/11.4.md)
    +   [11.5 选择优先权](docs/11.5.md)
    +   [11.6 贝叶斯假设检验](docs/11.6.md)
    +   [11.7 阅读建议](docs/11.7.md)
+   [12 分类关系建模](docs/12.md)
    +   [12.1 示例：糖果颜色](docs/12.1.md)
    +   [12.2 皮尔逊卡方检验](docs/12.2.md)
    +   [12.3 应急表及双向试验](docs/12.3.md)
    +   [12.4 标准化残差](docs/12.4.md)
    +   [12.5 优势比](docs/12.5.md)
    +   [12.6 贝叶斯系数](docs/12.6.md)
    +   [12.7 超出 2 x 2 表的分类分析](docs/12.7.md)
    +   [12.8 注意辛普森悖论](docs/12.8.md)
+   [13 建模持续关系](docs/13.md)
    +   [13.1 一个例子：仇恨犯罪和收入不平等](docs/13.1.md)
    +   [13.2 收入不平等是否与仇恨犯罪有关？](docs/13.2.md)
    +   [13.3 协方差和相关性](docs/13.3.md)
    +   [13.4 相关性和因果关系](docs/13.4.md)
    +   [13.5 阅读建议](docs/13.5.md)
+   [14 一般线性模型](docs/14.md)
    +   [14.1 线性回归](docs/14.1.md)
    +   [14.2 安装更复杂的模型](docs/14.2.md)
    +   [14.3 变量之间的相互作用](docs/14.3.md)
    +   [14.4“预测”的真正含义是什么？](docs/14.4.md)
    +   [14.5 阅读建议](docs/14.5.md)
+   [15 比较方法](docs/15.md)
    +   [15.1 学生 T 考试](docs/15.1.md)
    +   [15.2 t 检验作为线性模型](docs/15.2.md)
    +   [15.3 平均差的贝叶斯因子](docs/15.3.md)
    +   [15.4 配对 t 检验](docs/15.4.md)
    +   [15.5 比较两种以上的方法](docs/15.5.md)
+   [16 统计建模过程：一个实例](docs/16.md)
    +   [16.1 统计建模过程](docs/16.1.md)
+   [17 做重复性研究](docs/17.md)
    +   [17.1 我们认为科学应该如何运作](docs/17.1.md)
    +   [17.2 科学（有时）是如何工作的](docs/17.2.md)
    +   [17.3 科学中的再现性危机](docs/17.3.md)
    +   [17.4 有问题的研究实践](docs/17.4.md)
    +   [17.5 进行重复性研究](docs/17.5.md)
    +   [17.6 进行重复性数据分析](docs/17.6.md)
    +   [17.7 结论：提高科学水平](docs/17.7.md)
    +   [17.8 阅读建议](docs/17.8.md)
+   [References](docs/18.md)