# 零、前言

## 0.1 本书为什么存在？

2018 年，我开始在斯坦福大学教授统计学本科课程（psych 10/stats 60）。我以前从未教过统计学，这是一个振作起来的机会。我对心理学的本科统计教育越来越不满意，我想把一些新的想法和方法带到课堂上。特别是，我希望采用 21 世纪实际统计实践中越来越多使用的方法。正如 Brad Efron 和 Trevor Hastie 在他们的《计算机时代统计推断：算法、证据和数据科学》一书中所阐述的那样，这些方法利用了当今日益增强的计算能力，以远远超出标准方法的方式解决统计问题。E 通常在心理学本科生的统计学课程中教授。

在我教这门课的第一年，我用安迪·菲尔德的令人惊叹的图形小说《统计学的冒险》作为教科书。这本书有许多我真正喜欢的东西——特别是，我喜欢它围绕模型的构建构建构建统计实践的框架，并以足够的谨慎对待无效假设测试（在我看来，尽管没有足够的轻蔑）。不幸的是，我的大多数学生都讨厌这本书，主要是因为它涉及到大量的故事，以获得统计知识。我还发现它是想要的，因为有很多主题（特别是那些来自人工智能领域，被称为机器学习（htg0）的主题），我想包括但没有在他的书中讨论。我最终感觉到学生们最好能得到一本跟我讲课很近的书，所以我开始把我的讲课写进一套计算笔记本，最终成为这本书。这本书的提纲大致遵循菲尔德书的提纲，因为讲课最初大部分是基于这本书的流程，但内容却大不相同（而且也不那么有趣和聪明）。

## 0.2 你不是统计学家-我们为什么要听你的？

我受过心理学家和神经科学家的训练，而不是统计学家。然而，我过去 20 年对脑成像的研究需要使用复杂的统计和计算工具，这需要我自学许多统计学的基本概念。因此，我认为我有一个坚实的感觉，什么样的统计方法是重要的科学战壕。几乎可以肯定的是，这本书中有些东西会让一个真正的统计学家恼火（例如，我确信有些地方我应该在变量上放一个![](img/4fdfcc4c22892cfa15494d9d626fc389.jpg)但没有）。

尽管如此，我欢迎拥有比我更专业的统计知识的读者的意见。

## 0.3 为什么是 R？

在我的课程中，学生学习使用 R 语言实际分析数据。“为什么是 R？”可以解释为“为什么 R 而不是像（在这里插入名称）这样的图形软件包？”毕竟，我班上的大多数学生以前从来没有编程过，所以把他们教给编程将使他们从统计学概念的教学中脱离出来。我的答案是，我认为学习统计工具的最佳方法是直接使用数据，而使用图形包会使人与数据和方法隔离开来，从而阻碍真正的理解。此外，对于我班的许多学生来说，这可能是他们接触编程的唯一课程；鉴于编程在越来越多的学术领域中是必不可少的能力，我认为为这些学生提供基本的编程知识对他们的学习至关重要。未来的成功，并希望能激励他们中的至少一些人学习更多。

这个问题也可以解释为“为什么 R 而不是（在这里插入语言）”。在这个问题上，我更加矛盾，因为我非常不喜欢 R 作为编程语言（我非常喜欢 Python）。那我为什么要用它？这个问题的第一个答案是实际的——几乎所有潜在的助教（大部分是我们系的研究生）都有 R 方面的经验，因为我们的研究生统计课程使用 R。事实上，他们中的大多数人在 R 方面的技能比我强得多！另一方面，他们中相对较少的人拥有 Python 方面的专业知识。因此，如果我想要一支技能熟练的助教队伍，使用 R 是有意义的。

另一个原因是免费的 rstudio 软件使新用户使用 r 相对容易。特别是，我喜欢 Rmarkdown 笔记本功能，它允许将叙述性代码和可执行代码与集成输出混合在一起。它在精神上类似于我们许多人在 Python 编程中使用的 Jupyter 笔记本，但我发现它更容易处理，因为您将其编辑为纯文本文件，而不是通过 HTML 接口。在我的课上，我给学生一个问题集的框架 rmarkdown 文件，他们提交文件并添加解决方案，然后我使用一组自动评分脚本评分。

## 0.4 数据的黄金时代

在这本书中，我尽可能使用真实数据中的例子。这现在很容易，因为我们正在开放数据集中游泳，因为政府、科学家和公司越来越多地免费提供数据。我认为使用真实数据集很重要，因为它让学生准备好使用真实数据而不是玩具数据集，我认为这应该是统计培训的主要目标之一。它还帮助我们认识到（正如我们将在书中的不同点看到的那样），数据并不总是会出现在我们准备分析的地方，而且常常需要 _ 争论 _ 来帮助它们成形。使用真实数据还表明，通常在统计方法中假定的理想化统计分布并不总是适用于真实世界——例如，正如我们将在第[4 章](#summarizing-data)中看到的，一些真实世界数量的分布（如 Facebook 上的朋友数）可能非常长的尾巴可以打破许多标准假设。

## 0.5 开源书籍

这本书是一个活生生的文件，这就是为什么它的来源可以在[https://github.com/poldrack/psych10-book](https://github.com/poldrack/psych10-book)在线获得的原因。如果您在本书中发现任何错误或想提出改进建议，请在 Github 网站上打开一个问题。更好的方法是，提交一个请求，其中包含您建议的更改。

本书根据[Creative Commons 属性非商业 2.0 通用（CC BY-NC 2.0）许可证](https://creativecommons.org/licenses/by-nc/2.0/)获得许可。有关详细信息，请参阅该许可证的条款。

## 0.6 确认

我首先要感谢苏珊·福尔摩斯，她首先激励我考虑写我自己的统计书。露西金提供了整本书的详细评论和编辑，并帮助清理代码，使之与 tidyverse 一致。迈克尔·亨利·泰斯勒对贝叶斯分析一章提供了非常有用的评论。特别感谢 Bookdown 软件包的创建者谢一辉（音译）改进了书籍对 Bookdown 功能的使用（包括用户通过编辑按钮直接生成编辑的功能）。

我还要感谢其他提供了有益的评论和建议的人：阿塔纳西奥斯的原爸爸，韦斯利·坦西，杰克·范·霍恩。

感谢以下 Twitter 用户提供的有用建议：@noriverbend

感谢以下个人/用户名通过 Github 或电子邮件提交编辑或问题：Mehdi Rahim、Shanathanan Modchalingam、Alan He、Wenjin Tao、Martijn Stegeman、Dan Kessler、Philipp Kuhnke、James Kent、Michael Waskom、Alexander Wang、Isis Anderson、Albane Valenzuela、Chuanji Gao、JA 萨里·里科·赫雷拉、巴斯克维奇、嘉明港、卡洛西瓦尔、香港唐、特维尔、埃佩森、布雷特利扎贝特。