# 2 处理数据

## 2.1 什么是数据？

关于数据的第一个重要点是数据 _ 是 _——意思是“数据”这个词是复数（尽管有些人在这一点上不同意我的观点）。你也可能想知道如何发音“data”——我说“day-tah”，但我认识许多说“dah-tah”的人，尽管如此，我仍然可以和他们保持朋友关系。现在如果我听到他们说“数据是”，那将是更大的问题…

#

## 2.1.1 定性数据

数据由 _ 变量 _ 组成，其中变量反映唯一的度量或数量。有些变量是 _ 定性的 _，这意味着它们描述的是质量而不是数字量。例如，在我的统计课程中，我通常会做一个介绍性的调查，既可以获取课堂上使用的数据，也可以了解更多关于学生的信息。我问的问题之一是“你最喜欢吃什么？”其中一些答案是：蓝莓、巧克力、玉米粉蒸肉、意大利面、披萨和芒果。这些数据本质上不是数字；我们可以为每个数据分配数字（1=蓝莓，2=巧克力等），但我们只会将数字用作标签，而不是实数；例如，在这种情况下，将数字相加是没有意义的。但是，我们通常会使用数字对定性数据进行编码，以使它们更易于使用，稍后您将看到。

#

## 2.1.2 定量数据

在统计学中，我们更常用于 _ 定量 _ 数据，这意味着数据是数字的。例如，这里的表[2.1](#tab:WhyTakingClass)显示了我在入门课上问的另一个问题的结果，即“你为什么要上这门课？”

<caption>Table 2.1 Counts of the prevalence of different responses to the question "Why are you taking this class?"</caption>
| 你为什么要上这门课？ | 学生人数 |
| --- | --- |
| 满足学位计划要求 | 105 |
| 满足通识教育广度要求 | 32 |
| 不需要，但我对这个话题感兴趣 | 11 个 |
| 其他 | 4 |

请注意，学生的回答是定性的，但我们通过计算每个回答的学生数得出了他们的定量总结。

##

## 2.1.2.1 数字类型

我们在统计中处理的数字有几种不同的类型。理解这些差异很重要，部分原因是像 R 这样的编程语言经常区分它们。

**二进制数**。最简单的是二进制数——也就是零或一。我们经常使用二进制数字来表示某个事物是真是假，是存在还是不存在。例如，我可能会问 10 个人他们是否经历过偏头痛。如果他们的答案是：

```r
# create variable containing responses to migraine question

everHadMigraine <- c('Yes','No','Yes','No','No','No','Yes','No','No','No')
everHadMigraine
```

```r
##  [1] "Yes" "No"  "Yes" "No"  "No"  "No"  "Yes" "No"  "No"  "No"
```

相反，我们可以使用==符号将这些值重新编码为真值，该符号是对相等性的测试，如果这两个值相等，则返回逻辑值“真”，否则返回“假”。

```r
# create truth values from everHadMigraine variable

everHadMigraineTF <- everHadMigraine == 'Yes'
everHadMigraineTF
```

```r
##  [1]  TRUE FALSE  TRUE FALSE FALSE FALSE  TRUE FALSE FALSE FALSE
```

r 同等对待真值和二进制数：

```r
# evaluate truth of a set of assertions

# 1 is equal to TRUE - should return TRUE
TRUE == 1
```

```r
## [1] TRUE
```

```r
# 0 is equal to FALSE - should return TRUE
FALSE == 0
```

```r
## [1] TRUE
```

```r
# 0 is equal to true - should return FALSE
TRUE == 0
```

```r
## [1] FALSE
```

我们还可以将真值列表显式地转换为整数：

```r
# create integer values from truth values using as.integer()

everHadMigraineBinary <- as.integer(everHadMigraineTF)
everHadMigraineBinary
```

```r
##  [1] 1 0 1 0 0 0 1 0 0 0
```

当我们谈到概率论时，我们会看到一种方法，在这种方法中，这种表示是非常有用的。

**整数**。整数是不含小数部分或小数部分的整数。我们在计算事物时最常遇到整数，但在心理测量中也经常遇到整数。例如，在我的介绍性调查中，我处理了一组关于统计学态度的问题（例如“统计学对我来说似乎很神秘”），在这些问题上，学生的回答是 1（“强烈反对”）到 7（“强烈同意”）。

**实数**。在统计学中，我们通常使用实数，实数有小数/十进制部分。例如，我们可以测量某人的体重，从整磅到微克，精确到任意水平。

## 2.2 测量尺度

所有变量必须至少具有两个不同的可能值（否则它们将是一个 _ 常量 _ 而不是一个变量），但变量的不同值可以以不同的方式相互关联，我们称之为 _ 测量尺度 _。变量的不同值有四种不同的方式。

*   _identity_：变量的每个值都有唯一的含义。

*   【htg0】震级【htg1】：该变量的值反映了不同的震级，并且相互之间具有有序的关系，即有些值较大，有些值较小。
*   _ 等间隔 _：沿测量尺度的单位是相等的。例如，这意味着 1 和 2 之间的差值在大小上等于 19 和 20 之间的差值。
*   _ 绝对零点 _：刻度有一个真正有意义的零点。例如，对于许多物理量的测量，例如高度或重量，这是完全没有被测量的东西。

有四种不同的测量尺度，随着这些不同的方式，变量的值可能会有所不同。

_ 标称刻度 _。一个名义变量满足同一性的标准，这样每个变量的值代表不同的东西，但数字只是作为定性标签，如上所述。例如，我们可能会要求人们加入他们的政党，然后将其编码为数字：1=“共和党”、2=“民主党”、3=“自由主义者”等等。但是，不同的数字之间没有任何有序的关系。

_ 序数刻度 _。一个序数变量满足同一性和数量级的标准，这样就可以按数量级对值进行排序。例如，我们可能会要求患有慢性疼痛的人每天填写一份表格，用 1-7 个数字量表来评估他们的疼痛有多严重。请注意，虽然患者在报告 6 天时可能会感觉到更多的疼痛，而在报告 3 天时则感觉到更多的疼痛，但是说他们的疼痛是前者的两倍，后者的两倍，这是没有意义的；排序给了我们有关相对大小的信息，但不同的是数值之间的 CES 在量级上不一定相等。

_ 间隔刻度 _。区间标度具有序数标度的所有特征，但除此之外，测量标度上各单位之间的间隔可以视为相等。一个标准的例子是以摄氏度或法伦海特为单位测量的物理温度；10 度和 20 度之间的物理差异与 90 度和 100 度之间的物理差异相同，但每个刻度也可以取负值。

_ 比例标度 _。比例尺度变量具有上述四个特征：同一性、量值、等间隔和绝对零。比率比例变量和区间比例变量的区别在于比率比例变量具有真正的零点。比例尺度变量的例子包括物理高度和重量，以及以开尔文测量的温度。

#

## 2.2.1 为什么测量尺度很重要？

有两个重要的原因，我们必须注意一个变量的测量尺度。首先，尺度决定了我们可以应用于数据的数学运算类型（见表[2.2](#tab:MeasurementTypes)）。只能比较名义变量是否相等；也就是说，对该变量的两个观测值是否具有相同的数值？将其他数学运算应用于一个名义变量是没有意义的，因为它们在名义变量中不是真正的数字，而是作为标签。对于序数变量，我们也可以测试一个值是否大于或小于另一个值，但我们不能做任何算术。区间变量和比率变量允许我们执行算术；对于区间变量，我们只能加或减数值，而对于比率变量，我们也可以乘和除数值。

<caption>Table 2.2 Different scales of measurement admit different types of numeric operations</caption>
|  | 等于/不等于 | 大于/小于 | 加/减 | 乘/除 |
| --- | --- | --- | --- | --- |
| 名义 | 好啊 |  |  |  |
| 依次的 | OK | OK |  |  |
| 间隔 | OK | OK | OK |  |
| 比率 | OK | OK | OK | OK |

这些约束也意味着我们可以对每种类型的变量计算某些类型的统计信息。只需计算不同值（例如最常见的值，即 _ 模式 _）的统计信息，就可以对任何变量类型进行计算。其他统计数据是基于值的排序或排序（如 _ 中位数 _，当所有值都按其大小排序时，中位数是中间值），这些统计数据要求值至少按顺序排列。最后，涉及到值相加的统计（如平均值或 _ 平均值 _）要求变量至少在区间尺度上。尽管如此，我们应该注意到，对于研究人员来说，计算只有序数的变量的平均值是很常见的（比如人格测试的反应），但这有时会有问题。

## 2.3 什么是良好的测量？

在心理学等许多领域，我们所测量的不是物理特征，而是一个不可观测的理论概念，我们通常称之为 _ 结构 _。例如，假设我想测试一下您对上述四种不同测量尺度之间的区别有多了解。我可以给你一个弹出测试，问你几个关于这些概念的问题，并计算你有多少是正确的。这个测试可能是或者可能不是对你实际知识结构的一个很好的度量——例如，如果我用一种令人困惑的方式编写测试或者使用你不理解的语言，那么这个测试可能会建议你在真正的时候不理解这些概念。另一方面，如果我给你一个有着非常明显错误答案的多选测试，那么你可能在测试中表现得很好，即使你并不真正理解材料。

在没有一定误差的情况下，通常不可能测量结构。在上面的例子中，您可能知道答案，但您可能误读了问题并弄错了。在其他情况下，被测物本身存在误差，例如，当我们测量一个人在一个简单的反应时间测试中需要多长时间做出反应时，由于许多原因，从一个试验到另一个试验都会有所不同。我们通常希望我们的测量误差尽可能低。

有时有一个标准可以用来测试其他的测量，我们可以称之为“黄金标准”——例如，睡眠的测量可以用许多不同的设备（例如测量床上运动的设备）来完成，但它们通常被认为不如多导睡眠图的黄金标准（使用脑电波测量来量化一个人在睡眠的每个阶段所花费的时间）。通常金本位制的执行难度更大或成本更高，即使可能存在更大的误差，也会使用更便宜的方法。

当我们思考什么是一个好的度量时，我们通常会区分一个好度量的两个不同方面。

#

## 2.3.1_ 可靠性 _

可靠性量化了我们测量结果的一致性。一种常见的可靠性形式被称为“测试-再测试可靠性”，它测量如果相同的测量进行两次，测量结果的一致性。例如，我可能会给你一份关于你今天对统计的态度的调查问卷，明天重复同样的调查问卷，并在两天内比较你的答案；我们希望它们彼此非常相似，除非在两次测试之间发生了一些应该改变了你对统计的看法（比如读这本书！）.

另一种评估可靠性的方法是在数据包括主观判断的情况下。例如，假设一个研究人员想确定一种治疗是否会改变自闭症儿童与其他儿童的互动程度，这是通过让专家观察儿童并对他们与其他儿童的互动进行评级来衡量的。在这种情况下，我们希望确保答案不依赖于评级机构——也就是说，我们希望有高 _ 的评级机构间可靠性 _。这可以通过让多个评级者执行评级来评估，然后比较他们的评级，以确保他们之间的一致性。

如果我们想将一个测量值与另一个测量值进行比较，可靠性是很重要的。两个不同测量值之间的关系不能比两个测量值之间的关系强（即其可靠性）。这意味着一个不可靠的度量永远不会与任何其他度量有很强的统计关系。因此，研究人员开发一种新的测量方法（如一项新的调查），通常会花很大的时间来测试它的可靠性。

![A figure demonstrating the distinction between reliability and validity, using shots at a bullseye. Reliability refers to the consistency of location of shots, and validity refers to the accuracy of the shots with respect to the center of the bullseye. ](img/file1.png)

图 2.1 使用靶心射击，显示可靠性和有效性之间的区别的图。可靠性是指射击位置的一致性，有效性是指射击相对于靶心的准确性。

#

## 2.3.2_ 有效性 _

可靠性很重要，但就其本身而言还不够：毕竟，我可以用一个数字对每个答案进行编码，从而在人格测试中创建一个高度可靠的衡量标准，不管这个人如何回答。我们希望我们的测量结果也是 _ 有效的 _——也就是说，我们希望确保我们实际测量的是我们认为我们正在测量的构造（图[2.1](#fig:ReliabilityValidity)）。有许多不同类型的有效性被普遍讨论；我们将集中讨论其中的三种。

_ 人脸有效性 _。测量值在表面上有意义吗？如果我告诉你我要通过观察一个人的舌头的颜色来测量他的血压，你可能会认为这不是一个有效的测量方法。另一方面，使用血压袖带将具有面部有效性。这通常是我们深入到更复杂的有效性方面之前的第一个现实检查。

_ 构造有效性 _。测量是否以适当的方式与其他测量相关？这通常被细分为两个方面。_ 收敛有效性 _ 意味着度量应该与其他被认为反映相同构造的度量密切相关。假设我有兴趣通过问卷调查或面试来衡量一个人的外向程度。如果这两个不同的度量值彼此密切相关，则可以证明收敛有效性。另一方面，被认为反映不同结构的度量应该是不相关的，即 _ 发散效度 _。如果我的人格理论认为外向性和责任感是两个不同的结构，那么我也应该看到我对外向性的测量与责任感的测量是无关的。

_ 预测有效性 _。如果我们的测量结果确实有效，那么它们也应该是对其他结果的预测。例如，假设我们认为，情感寻求的心理特征（对新体验的渴望）与现实世界中的冒险有关。为了检验感觉寻求测量的预测有效性，我们将在一项不同的测量现实风险的调查中，测试测试分数对预测分数的影响。

## 2.4 阅读建议

*   【htg0】【htg1】心理测量理论导论及其在 R【htg2】【htg3】中的应用——免费在线心理测量教科书